JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class WinDef.UINT_PTR

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.WinDef.UINT_PTR

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Direct Known Subclasses:
  WinDef.WPARAM

Enclosing interface:
  WinDef

    public static class WinDef.UINT_PTR

extends IntegerType

Unsigned INT_PTR.

See Also:
  Serialized Form

Constructor Summary
`WinDef.UINT_PTR()` Instantiates a new uint ptr.
`WinDef.UINT_PTR(long value)` Instantiates a new uint ptr.

Method Summary
`Pointer` `toPointer()` To pointer.

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinDef.UINT_PTR

    public WinDef.UINT_PTR()

  Instantiates a new uint ptr.

### WinDef.UINT_PTR

    public WinDef.UINT_PTR(long value)

  Instantiates a new uint ptr.

  Parameters:
    `value` - the value

Method Detail

### toPointer

    public Pointer toPointer()

  To pointer.

  Returns:
    the pointer

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.